//
//  SoundDataSource.h
//  AsReader
//
//  Created by koda on 2015年/2015/07/21.
//
//

#import <Foundation/Foundation.h>
@class SoundManager;


typedef void(^SoundCellConfigurationBlock)(NSIndexPath *indexPath, UITableViewCell *cell);

@interface SoundDataSource : NSObject<UITableViewDataSource>

- (id)initWithObserved:(SoundManager *)observedManager
               keyPath:(NSString*)keyPath
        cellIdentifier:(NSString *)cellIdentifier
             tableView:(UITableView*)tableView
    configureCellBlock:(SoundCellConfigurationBlock)configureCellBlock;
@end
